%define         git      ""
%define         gitdate  20151204

Name:           libyui-bindings
Version:        2.0.2
Release:        %mkrel 1
License:        LGPLv2+
Summary:        Bindings for libyui
Group:          Development/Other
Url:            https://github.com/libyui/libyui-bindings
Source0:        %{name}-%{version}.tar.bz2
Patch0:         libyui-bindings-menubar.patch
BuildRequires:  cmake
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(ruby)
BuildRequires:  ruby-RubyGems
BuildRequires:  swig
BuildRequires:  pkgconfig(libyui)
BuildRequires:  pkgconfig(libyui-mga)
BuildRequires:  pkgconfig(python3)

%description
This package provides different languages bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n ruby-yui
License:        GPLv2+
Summary:        Ruby bindings for libyui
Group:          Development/Ruby

%description -n ruby-yui
This package provides Ruby language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n python3-yui
License:        GPLv2+
Summary:        Python 3 bindings for libyui
Group:          Development/Python
%{?python_provide:%python_provide python3-yui}

%description -n python3-yui
This package provides Python 3 language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%package -n perl-yui
License:        GPLv2+
Summary:        Perl bindings for libyui
Group:          Development/Perl

%description -n perl-yui
This package provides Perl language bindings to access functions of
libyui - the YaST User Interface engine that provides the
abstraction from graphical user interfaces (Qt, Gtk) and text based
user interfaces (ncurses).

%prep
%setup -q
%autopatch -p1


%build
%cmake \
      -DYPREFIX=%{_prefix} \
      -DLIB=%{_lib} \
      -DWITH_MONO=FALSE \
      -DWITH_MGA=1 \
      -DENABLE_WERROR=0 \
      -DPYTHON_EXECUTABLE=%{__python3} \
      -DPYTHON_INCLUDE_DIR=%{_includedir}/python%{python3_version} \
      -DPYTHON_SITEDIR=%{python3_sitearch} \
      -DPYTHON_LIB_DIR=%{_libdir}/python%{python3_version}
%cmake_build

%install
%cmake_install

%files -n ruby-yui
%doc swig/ruby/examples/*.rb
%{ruby_vendorarchdir}/_yui.so

%files -n python3-yui
%doc swig/python/examples/*.py
%{python3_sitearch}/_yui.so
%{python3_sitearch}/yui.*
%{python3_sitearch}/__pycache__/*

%files -n perl-yui
%doc swig/perl/examples/*.pl
%{perl_vendorarch}/yui.so
%{perl_vendorlib}/yui.pm


%changelog
* Mon Jun 29 2020 anaselli <anaselli> 2.0.2-1.mga8
+ Revision: 1600518
- New 2.0.2 and MGA menubar patch

* Wed Jun 17 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1594222
- Rebuild for perl 5.32

* Tue Apr 21 2020 anaselli <anaselli> 2.0.0-2.mga8
+ Revision: 1570467
- rebuilt for fixing YTable crash in bindings

* Fri Mar 27 2020 anaselli <anaselli> 2.0.0-1.mga8
+ Revision: 1561225
- New version 2.0.0

* Tue Mar 03 2020 pterjan <pterjan> 1.1.2-11.mga8
+ Revision: 1553372
- Rebuild for ruby 2.7

* Sun Feb 16 2020 umeabot <umeabot> 1.1.2-10.mga8
+ Revision: 1533457
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 22 2019 daviddavid <daviddavid> 1.1.2-9.mga8
+ Revision: 1444561
- rebuild for python3.8
+ wally <wally>
- rebuild for python3.8
- drop python2 support

* Tue Aug 27 2019 tmb <tmb> 1.1.2-8.mga8
+ Revision: 1433957
- rebuild for perl 5.30

* Tue Aug 27 2019 tv <tv> 1.1.2-7.mga8
+ Revision: 1433266
- rebuild with perl-5.30

* Tue Jan 08 2019 daviddavid <daviddavid> 1.1.2-6.mga7
+ Revision: 1352790
- rebuild for new Python 3.7

* Sun Dec 16 2018 anaselli <anaselli> 1.1.2-5.mga7
+ Revision: 1341891
- rebuilt against new libyu

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-4.mga7
+ Revision: 1299283
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 wally <wally> 1.1.2-3.mga7
+ Revision: 1248843
- add pycache back

* Fri Jul 06 2018 daviddavid <daviddavid> 1.1.2-2.mga7
+ Revision: 1242186
- update files list (no more __pycache__ reference)
- rename python-yui to python2-yui

* Sun Jan 28 2018 anaselli <anaselli> 1.1.2-1.mga7
+ Revision: 1197775
- version 1.1.2

* Mon Jan 01 2018 pterjan <pterjan> 1.1.1-5.mga7
+ Revision: 1188462
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 1.1.1-4.mga7
+ Revision: 1140812
- Rebuild for new Ruby

* Sat Aug 05 2017 neoclust <neoclust> 1.1.1-3.mga7
+ Revision: 1135079
- Rebuild against new Python3

* Mon Jul 24 2017 neoclust <neoclust> 1.1.1-2.mga7
+ Revision: 1129838
- Rebuild against new Perl 5.26

* Sun Oct 09 2016 anaselli <anaselli> 1.1.1-1.mga6
+ Revision: 1059766
- new version 1.1.1
  added patch to build also libyui-mga plugins
  added patch to show an example of usage of libyui-mga plugins

* Sat Jun 18 2016 pterjan <pterjan> 1.1.0-0.git20151204.5.mga6
+ Revision: 1022154
- Rebuild for perl 5.22.2

* Tue Jan 19 2016 anaselli <anaselli> 1.1.0-0.git20151204.4.mga6
+ Revision: 925823
- rebuilt for libyui-mga failure

* Mon Jan 18 2016 anaselli <anaselli> 1.1.0-0.git20151204.3.mga6
+ Revision: 925661
- rebuilt for new libyui-mga

* Sun Dec 06 2015 anaselli <anaselli> 1.1.0-0.git20151204.2.mga6
+ Revision: 908511
- fixed python3 YWidget and YItem pointer comparison

* Fri Dec 04 2015 anaselli <anaselli> 1.1.0-0.git20151204.1.mga6
+ Revision: 908030
- new version 1.1.0
  fixed python 2 and 3 bindings
  used cmake macros instead of patching CMakeLists.txt

* Tue Oct 20 2015 anaselli <anaselli> 1.0.4-0.git20140418.14.mga6
+ Revision: 892892
- rebuilt

* Fri Oct 09 2015 daviddavid <daviddavid> 1.0.4-0.git20140418.13.mga6
+ Revision: 888565
- rebuild for python 3.5
- use new python macros

* Tue Aug 18 2015 anaselli <anaselli> 1.0.4-0.git20140418.12.mga6
+ Revision: 865635
- Added patch to manage Yitem pointer comparison in bindings

* Sat Jun 27 2015 tv <tv> 1.0.4-0.git20140418.11.mga6
+ Revision: 846145
- rebuild with soname-ified perl

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-0.git20140418.10.mga5
+ Revision: 742471
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.4-0.git20140418.9.mga5
+ Revision: 726958
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-0.git20140418.8.mga5
+ Revision: 681911
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 anaselli <anaselli> 1.0.4-0.git20140418.7.mga5
+ Revision: 670515
- rebuilt

* Sat Jun 14 2014 matteo <matteo> 1.0.4-0.git20140418.6.mga5
+ Revision: 636215
- rebuild needed because of the boot_yui symbol not found issue

* Sat May 31 2014 pterjan <pterjan> 1.0.4-0.git20140418.5.mga5
+ Revision: 629689
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.0.4-0.git20140418.4.mga5
+ Revision: 628317
- Rebuild for new Python

* Tue Apr 22 2014 anaselli <anaselli> 1.0.4-0.git20140418.3.mga5
+ Revision: 617452
- Back compatibility

* Sun Apr 20 2014 philippem <philippem> 1.0.4-0.git20140418.2.mga5
+ Revision: 617199
- add Python3

* Fri Apr 18 2014 anaselli <anaselli> 1.0.4-0.git20140418.1.mga5
+ Revision: 616902
- source packages
- sync with upstream master

* Sat Mar 29 2014 anaselli <anaselli> 1.0.4-0.git20140329.1.mga5
+ Revision: 609683
- 1.0.4 mageia branch

* Tue Dec 31 2013 dmorgan <dmorgan> 1.0.2-0.git20130630.6.mga4
+ Revision: 563401
- Fix file list
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.0.2-0.git20130630.4.mga4
+ Revision: 482940
- rebuild for ruby 2.0
- boost is not required

* Wed Jul 10 2013 fwang <fwang> 1.0.2-0.git20130630.3.mga4
+ Revision: 452363
- rebuild for new boost

* Mon Jul 01 2013 anaselli <anaselli> 1.0.2-0.git20130630.2.mga4
+ Revision: 448668
- rebuilt for libyui-gtk

* Sun Jun 30 2013 anaselli <anaselli> 1.0.2-0.git20130630.1.mga4
+ Revision: 448658
- new version

* Sun Jan 20 2013 anaselli <anaselli> 1.0.0-0.git20120915.10.mga3
+ Revision: 390200
- Fixed with a patch to give upstream

* Sun Jan 20 2013 fwang <fwang> 1.0.0-0.git20120915.9.mga3
+ Revision: 390062
- specify utf-8 when installing too
+ anaselli <anaselli>
- Fixed missed YItemCollector

* Fri Jan 18 2013 anaselli <anaselli> 1.0.0-0.git20120915.8.mga3
+ Revision: 389487
- Added YSettings

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-0.git20120915.7.mga3
+ Revision: 358733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 1.0.0-0.git20120915.6.mga3
+ Revision: 341415
- Rebuilt against new libyui

* Sat Nov 10 2012 anaselli <anaselli> 1.0.0-0.git20120915.5.mga3
+ Revision: 316883
- Rebuilt for new libyui

* Sat Nov 03 2012 fwang <fwang> 1.0.0-0.git20120915.4.mga3
+ Revision: 313450
- force utf-8 encoding
- rebuild for new ruby
+ anaselli <anaselli>
- Rebuilt for new libyui

* Sun Sep 16 2012 anaselli <anaselli> 1.0.0-0.git20120915.2.mga3
+ Revision: 294607
- bumped to build against new libyui

* Sun Sep 16 2012 anaselli <anaselli> 1.0.0-0.git20120915.1.mga3
+ Revision: 294384
- updated to git version 1.0.0 b6ccfd4

* Mon Jul 02 2012 matteo <matteo> 1.0.0-0.git.8a9290f.1.mga3
+ Revision: 266793
- using git master tarball
- added patch to use FindPerlLibs.cmake instead of FindPerl.cmake
- using _disable_ld_no_undefined
- imported package libyui-bindings

